Subject: bug#12922: 24.3.50; `make-pointer-invisible' don't seem to work

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Nov 2012 17:29:58 +0200

severity 12922 wishlist
stop

> Date: Sun, 18 Nov 2012 13:36:38 +0100
> From: Dani Moncayo <[email-masked]>
> 
> I've read this paragraph in (info "(emacs) Display Custom"):
> 
>      If the mouse pointer lies inside an Emacs frame, Emacs makes it
>   invisible each time you type a character to insert text, to prevent it
>   from obscuring the text.  (To be precise, the hiding occurs when you
>   type a "self-inserting" character.  *Note Inserting Text::.)  Moving
>   the mouse pointer makes it visible again.  To disable this feature, set
>   the variable `make-pointer-invisible' to `nil'.
> 
> When I try to test that feature, the mouse pointer never hides.  It
> only changes between the arrow (when the pointer is over an empty
> area) and the "I-beam" (when the pointer is over some text).
> 
> I've tested this with Emacs -Q, with the current trunk, with the
> current emacs-24 branch, and with the 24.2, 24.1 and 23.4 releases.
> In all cases the behavior is the same (mouse pointer remains visible
> after typing text).

This feature is not currently supported on MS-Windows.  I marked this
"wishlist"; patches are welcome.